View Issue Details

IDProjectCategoryView StatusLast Update
0000358Far Manager 1.7xPlugins API.Panelpublic2007-11-26 06:06
ReporterNightRomanAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.71 
Target VersionFixed in Version1.71 
Summary0000358: Для элемента "точки" PluginPanelItem.UserData всегда 0
DescriptionСоздаю плагинную панель. Флаг OPIF_ADDDOTS не установлен, точки добавляю сам, причем в PluginPanelItem.UserData для этого элемента записываю -1 (пробовал и другие значения, важно, что не 0). Запускаю панель и добавляю туда только 1 элемент - эти самые точки.

Итак, текущий элемент - точки (врочем, он же единственный), выполняем F5, F6 или F8. Соответсвующие события происходят, в этом я ничего плохого не вижу, точки же мои, мало ли что мне надо, но в переданном мне PluginPanelItem.UserData записан 0. Вот это мне непонятно, я ожидаю мое значение, которое я записал туда.

То же самое и с дескрипшн. Тот, что я установил для точек мне не возвращается.
Steps To ReproduceF8, F5\F6 в панели из теста
TagsNo tags attached.
Build2297

Activities

2007-11-16 10:01

 

acefar_071116_134603.rar (1,932 bytes)

NightRoman

2007-11-16 10:06

reporter   bugnote:0000763

Про дескрипшн это я, может, зря (а может и нет). А вот UserData все ж хотелось бы сохранять.

NightRoman

2007-11-16 10:17

reporter   bugnote:0000764

И еще, сорри, если будете использовать именно проект Вижуал Студии из примера, то постбилд там копирует плагин в "C:\Program Files\Far\Plugins\acefar". Если это не годится, примите меры.

vskirdin

2007-11-16 13:12

administrator   bugnote:0000765

Эта... а можно и компиленный dll приложить?

vskirdin

2007-11-18 09:14

administrator   bugnote:0000772

Кстати, такая "фигня" только с ".."
Надо подумать...

vskirdin

2007-11-18 09:32

administrator   bugnote:0000773

проверяем (желательно по полной!)
http://farmanager.com/farbugs/mantis358.1.rar

NightRoman

2007-11-19 06:58

reporter   bugnote:0000774

принято, спасибо. обязательно проверю и доложу, но только не прямо сейчас.

2007-11-19 16:17

 

acefar_071119_201637.rar (1,941 bytes)

NightRoman

2007-11-19 16:18

reporter   bugnote:0000775

acefar_071119_201637.rar

Проверил. На первый взгляд все ОК, F5/F6/F8 засылают мне именно мой элемент точки с UserData, и даже дескрипшн сохранен (впрочем, почему бы и нет, действительно, элемент точки - мой с моими данными, почему бы их не возвращать).

На второй взгляд такая хохма: падение, проект приложен. Дурь, конечно, делает юзер в коде, но падение это нехорошо (ну и или подтвердите, что это и правда вина юзера, и нет проблем). Итак, открываем две эти тестовые панели и на одной из них жмем F5. Вызывается GetFiles, все хорошо, наши точки нам пришли и (дурь, а может и нет) возвращаем 1. Далее падение, и я даже не скажу точно где, в студии где-то опять в GetFiles стоим, но это обман, там полный бред в данных; пишет что-то про corruption of the heap in Far.exe or one of DLLs loaded.

2007-11-19 16:28

 

acefar.rar (3,073 bytes)

vskirdin

2007-11-21 13:07

administrator   bugnote:0000786

что-то как то не получается падения....

NightRoman

2007-11-21 14:38

reporter   bugnote:0000787

Ну тогда считаем проверено, все равно падение у меня при сомнительных действиях.

vskirdin

2007-11-26 06:06

administrator   bugnote:0000855

В 1.80 это былд 354

Issue History

Date Modified Username Field Change
2007-11-16 10:01 NightRoman New Issue
2007-11-16 10:01 NightRoman File Added: acefar_071116_134603.rar
2007-11-16 10:06 NightRoman Note Added: 0000763
2007-11-16 10:17 NightRoman Note Added: 0000764
2007-11-16 13:12 vskirdin Note Added: 0000765
2007-11-18 09:14 vskirdin Note Added: 0000772
2007-11-18 09:27 vskirdin Status new => assigned
2007-11-18 09:27 vskirdin Assigned To => vskirdin
2007-11-18 09:32 vskirdin Note Added: 0000773
2007-11-18 09:32 vskirdin Status assigned => feedback
2007-11-19 06:58 NightRoman Note Added: 0000774
2007-11-19 16:17 NightRoman File Added: acefar_071119_201637.rar
2007-11-19 16:18 NightRoman Note Added: 0000775
2007-11-19 16:28 NightRoman File Added: acefar.rar
2007-11-21 13:07 vskirdin Note Added: 0000786
2007-11-21 14:38 NightRoman Note Added: 0000787
2007-11-21 14:41 NightRoman Status feedback => resolved
2007-11-21 14:41 NightRoman Resolution open => fixed
2007-11-26 06:06 vskirdin Build => 2297
2007-11-26 06:06 vskirdin Status resolved => closed
2007-11-26 06:06 vskirdin Note Added: 0000855
2007-11-26 06:06 vskirdin Fixed in Version => 1.71